org.apache.http.client

## Class ClientProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.http.client.ClientProtocolException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HttpResponseException

    public class ClientProtocolException
    extends IOException

Signals an error in the HTTP protocol.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientProtocolException()`
`ClientProtocolException(String s)`
`ClientProtocolException(String message, Throwable cause)`
`ClientProtocolException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientProtocolException

    public ClientProtocolException()

#### ClientProtocolException

    public ClientProtocolException(String s)

#### ClientProtocolException

    public ClientProtocolException(Throwable cause)

#### ClientProtocolException

    public ClientProtocolException(String message,
                           Throwable cause)